export const title = 'Rules'



## List all Rules {{ tag: 'GET' , label: '/api/rules' }}

<Row>
  <Col>
    Returns a list of all rules
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="GET" label="/api/rules">
```bash {{ title: 'cURL' }}
curl -X GET https://api.netbird.io/api/rules \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: '/api/rules',
  headers: {     
    'Accept': 'application/json',    
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/rules"

headers: {     
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/rules"
  method := "GET"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/rules")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/rules")
  .method("GET")    
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/rules',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',  
  CURLOPT_HTTPHEADER => array(        
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
[
  {
    "id": "ch8i4ug6lnn4g9hqv7mg",
    "name": "Default",
    "description": "This is a default rule that allows connections between all the resources",
    "disabled": false,
    "flow": "bidirect",
    "sources": [
      {
        "id": "ch8i4ug6lnn4g9hqv7m0",
        "name": "devs",
        "peers_count": 2,
        "issued": "api"
      }
    ],
    "destinations": [
      {
        "id": "ch8i4ug6lnn4g9hqv7m0",
        "name": "devs",
        "peers_count": 2,
        "issued": "api"
      }
    ]
  }
]
```
```json {{ title: 'Schema' }}
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "disabled": "boolean",
    "flow": "string",
    "sources": [
      {
        "id": "string",
        "name": "string",
        "peers_count": "integer",
        "issued": "string"
      }
    ],
    "destinations": [
      {
        "id": "string",
        "name": "string",
        "peers_count": "integer",
        "issued": "string"
      }
    ]
  }
]
```
                </CodeGroup>
                 
            
            
            
            
              </Col>
</Row>

---


## Create a Rule {{ tag: 'POST' , label: '/api/rules' }}

<Row>
  <Col>
    Creates a rule
            
    #### Request-Body Parameters
    <Properties>
        
          <Property name="name" type="string" required={true} 
           
           
                               > 
          Rule name identifier
          </Property>
        
          <Property name="description" type="string" required={true} 
           
           
                               > 
          Rule friendly description
          </Property>
        
          <Property name="disabled" type="boolean" required={true} 
           
           
                               > 
          Rules status
          </Property>
        
          <Property name="flow" type="string" required={true} 
           
           
                               > 
          Rule flow, currently, only "bidirect" for bi-directional traffic is accepted
          </Property>
        
          <Property name="sources" type="string[]" required={false} 
           
           
                               > 
          List of source groups
          </Property>
        
          <Property name="destinations" type="string[]" required={false} 
           
           
                               > 
          List of destination groups
          </Property>
            </Properties>   
       </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="POST" label="/api/rules">
```bash {{ title: 'cURL' }}
curl -X POST https://api.netbird.io/api/rules \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}'
```

```js
const axios = require('axios');
let data = JSON.stringify({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
});
let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: '/api/rules',
  headers: {     
    'Accept': 'application/json',    
    'Content-Type': 'application/json',
    'Authorization': 'Token <TOKEN>'
  },  
  data : data
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/rules"
payload = json.dumps({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
})
headers: {   
  'Content-Type': 'application/json',  
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/rules"
  method := "POST"
  
  payload := strings.NewReader(`{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}`)
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  {  
  
  req.Header.Add("Content-Type", "application/json")  
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/rules")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

request.body = JSON.dump({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
})
response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}');
Request request = new Request.Builder()
  .url("https://api.netbird.io/api/rules")
  .method("POST", body)  
  .addHeader("Content-Type", "application/json")  
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/rules',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',  
  CURLOPT_POSTFIELDS => '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}',
  CURLOPT_HTTPHEADER => array(    
    'Content-Type: application/json',    
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
{
  "id": "ch8i4ug6lnn4g9hqv7mg",
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ],
  "destinations": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ]
}
```
```json {{ title: 'Schema' }}
{
  "id": "string",
  "name": "string",
  "description": "string",
  "disabled": "boolean",
  "flow": "string",
  "sources": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ],
  "destinations": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ]
}
```
                </CodeGroup>
                
              </Col>
</Row>

---


## Retrieve a Rule {{ tag: 'GET' , label: '/api/rules/{ruleId}' }}

<Row>
  <Col>
    Get information about a rules
    
    #### Path Parameters
    <Properties>
        
          <Property name="ruleId" type="string" required={true}> 
            The unique identifier of a rule
          </Property>   
            </Properties>
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="GET" label="/api/rules/{ruleId}">
```bash {{ title: 'cURL' }}
curl -X GET https://api.netbird.io/api/rules/{ruleId} \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: '/api/rules/{ruleId}',
  headers: {     
    'Accept': 'application/json',    
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/rules/{ruleId}"

headers: {     
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/rules/{ruleId}"
  method := "GET"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/rules/{ruleId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/rules/{ruleId}")
  .method("GET")    
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/rules/{ruleId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',  
  CURLOPT_HTTPHEADER => array(        
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
{
  "id": "ch8i4ug6lnn4g9hqv7mg",
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ],
  "destinations": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ]
}
```
```json {{ title: 'Schema' }}
{
  "id": "string",
  "name": "string",
  "description": "string",
  "disabled": "boolean",
  "flow": "string",
  "sources": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ],
  "destinations": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ]
}
```
                </CodeGroup>
                
            
            
            
            
              </Col>
</Row>

---


## Update a Rule {{ tag: 'PUT' , label: '/api/rules/{ruleId}' }}

<Row>
  <Col>
    Update/Replace a rule
    
    #### Path Parameters
    <Properties>
        
          <Property name="ruleId" type="string" required={true}> 
            The unique identifier of a rule
          </Property>   
            </Properties>
            
    #### Request-Body Parameters
    <Properties>
        
          <Property name="name" type="string" required={true} 
           
           
                               > 
          Rule name identifier
          </Property>
        
          <Property name="description" type="string" required={true} 
           
           
                               > 
          Rule friendly description
          </Property>
        
          <Property name="disabled" type="boolean" required={true} 
           
           
                               > 
          Rules status
          </Property>
        
          <Property name="flow" type="string" required={true} 
           
           
                               > 
          Rule flow, currently, only "bidirect" for bi-directional traffic is accepted
          </Property>
        
          <Property name="sources" type="string[]" required={false} 
           
           
                               > 
          List of source groups
          </Property>
        
          <Property name="destinations" type="string[]" required={false} 
           
           
                               > 
          List of destination groups
          </Property>
            </Properties>   
       </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="PUT" label="/api/rules/{ruleId}">
```bash {{ title: 'cURL' }}
curl -X PUT https://api.netbird.io/api/rules/{ruleId} \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}'
```

```js
const axios = require('axios');
let data = JSON.stringify({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
});
let config = {
  method: 'put',
  maxBodyLength: Infinity,
  url: '/api/rules/{ruleId}',
  headers: {     
    'Accept': 'application/json',    
    'Content-Type': 'application/json',
    'Authorization': 'Token <TOKEN>'
  },  
  data : data
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/rules/{ruleId}"
payload = json.dumps({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
})
headers: {   
  'Content-Type': 'application/json',  
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/rules/{ruleId}"
  method := "PUT"
  
  payload := strings.NewReader(`{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}`)
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  {  
  
  req.Header.Add("Content-Type", "application/json")  
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/rules/{ruleId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

request.body = JSON.dump({
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
})
response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}');
Request request = new Request.Builder()
  .url("https://api.netbird.io/api/rules/{ruleId}")
  .method("PUT", body)  
  .addHeader("Content-Type", "application/json")  
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/rules/{ruleId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',  
  CURLOPT_POSTFIELDS => '{
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    "ch8i4ug6lnn4g9hqv7m1"
  ],
  "destinations": [
    "ch8i4ug6lnn4g9hqv7m0"
  ]
}',
  CURLOPT_HTTPHEADER => array(    
    'Content-Type: application/json',    
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
{
  "id": "ch8i4ug6lnn4g9hqv7mg",
  "name": "Default",
  "description": "This is a default rule that allows connections between all the resources",
  "disabled": false,
  "flow": "bidirect",
  "sources": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ],
  "destinations": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ]
}
```
```json {{ title: 'Schema' }}
{
  "id": "string",
  "name": "string",
  "description": "string",
  "disabled": "boolean",
  "flow": "string",
  "sources": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ],
  "destinations": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ]
}
```
                </CodeGroup>
                
            
            
            
            
              </Col>
</Row>

---


## Delete a Rule {{ tag: 'DELETE' , label: '/api/rules/{ruleId}' }}

<Row>
  <Col>
    Delete a rule
    
    #### Path Parameters
    <Properties>
        
          <Property name="ruleId" type="string" required={true}> 
            The unique identifier of a rule
          </Property>   
            </Properties>
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="DELETE" label="/api/rules/{ruleId}">
```bash {{ title: 'cURL' }}
curl -X DELETE https://api.netbird.io/api/rules/{ruleId} \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'delete',
  maxBodyLength: Infinity,
  url: '/api/rules/{ruleId}',
  headers: {         
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/rules/{ruleId}"

headers: {     
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("DELETE", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/rules/{ruleId}"
  method := "DELETE"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/rules/{ruleId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/rules/{ruleId}")
  .method("DELETE")    
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/rules/{ruleId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',  
  CURLOPT_HTTPHEADER => array(        
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
            
            
            
            
              </Col>
</Row>

---
